Method: guaranteedOrders.get

Gets a guaranteed order.

HTTP request

GET https://displayvideo.googleapis.com/v5/guaranteedOrders/{guaranteedOrderId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
guaranteedOrderId

string

Required. The ID of the guaranteed order to fetch.

The ID is of the format {exchange}-{legacyGuaranteedOrderId}

Query parameters

Parameters

Required.

Identifies which DV360 entity the request is being made within. The GET request will only return guaranteed order that is accessible to the DV360 entity identified within the accessor. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:

partnerId

string (int64 format)

The ID of the partner that has access to the guaranteed order.

advertiserId

string (int64 format)

The ID of the advertiser that has access to the guaranteed order.

End of mutually exclusive fields.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of GuaranteedOrder.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.